org.kie.api.event.process

## Interface ProcessEventListener

- All Superinterfaces:
    EventListener
  All Known Implementing Classes:
    DefaultProcessEventListener

      public interface ProcessEventListener
      extends EventListener

  A listener for events related to process instance execution.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterNodeLeft(ProcessNodeLeftEvent event)` This listener method is invoked right after a node in a process instance has been left (which is when the node was completed, for example when it performed the task it was designed for).
    `void` | `afterNodeTriggered(ProcessNodeTriggeredEvent event)` This listener method is invoked right after a node in a process instance has been triggered (which is when the node was entered, for example when an incoming connection triggered it).
    `void` | `afterProcessCompleted(ProcessCompletedEvent event)` This listener method is invoked right after a process instance has been completed (or aborted).
    `void` | `afterProcessStarted(ProcessStartedEvent event)` This listener method is invoked right after a process instance has been started.
    `default void` | `afterSLAViolated(SLAViolatedEvent event)` This listener method is invoked right after a process/node instance's SLA has been violated.
    `void` | `afterVariableChanged(ProcessVariableChangedEvent event)` This listener method is invoked right after the value of a process variable has been changed.
    `void` | `beforeNodeLeft(ProcessNodeLeftEvent event)` This listener method is invoked right before a node in a process instance is being left (which is when the node is completed, for example when it has performed the task it was designed for).
    `void` | `beforeNodeTriggered(ProcessNodeTriggeredEvent event)` This listener method is invoked right before a node in a process instance is being triggered (which is when the node is being entered, for example when an incoming connection triggers it).
    `void` | `beforeProcessCompleted(ProcessCompletedEvent event)` This listener method is invoked right before a process instance is being completed (or aborted).
    `void` | `beforeProcessStarted(ProcessStartedEvent event)` This listener method is invoked right before a process instance is being started.
    `default void` | `beforeSLAViolated(SLAViolatedEvent event)` This listener method is invoked right before a process/node instance's SLA has been violated.
    `void` | `beforeVariableChanged(ProcessVariableChangedEvent event)` This listener method is invoked right before the value of a process variable is being changed.
    `default void` | `onMessage(MessageEvent event)` This listener method is invoked when a message is sent
    `default void` | `onSignal(SignalEvent event)` This listener method is invoked when a signal is sent

- - ### Method Detail

    - #### beforeProcessStarted

          void beforeProcessStarted(ProcessStartedEvent event)

      This listener method is invoked right before a process instance is being started.
      Parameters:
        `event` -

    - #### afterProcessStarted

          void afterProcessStarted(ProcessStartedEvent event)

      This listener method is invoked right after a process instance has been started.
      Parameters:
        `event` -

    - #### beforeProcessCompleted

          void beforeProcessCompleted(ProcessCompletedEvent event)

      This listener method is invoked right before a process instance is being completed (or aborted).
      Parameters:
        `event` -

    - #### afterProcessCompleted

          void afterProcessCompleted(ProcessCompletedEvent event)

      This listener method is invoked right after a process instance has been completed (or aborted).
      Parameters:
        `event` -

    - #### beforeNodeTriggered

          void beforeNodeTriggered(ProcessNodeTriggeredEvent event)

      This listener method is invoked right before a node in a process instance is being triggered (which is when the node is being entered, for example when an incoming connection triggers it).
      Parameters:
        `event` -

    - #### afterNodeTriggered

          void afterNodeTriggered(ProcessNodeTriggeredEvent event)

      This listener method is invoked right after a node in a process instance has been triggered (which is when the node was entered, for example when an incoming connection triggered it).
      Parameters:
        `event` -

    - #### beforeNodeLeft

          void beforeNodeLeft(ProcessNodeLeftEvent event)

      This listener method is invoked right before a node in a process instance is being left (which is when the node is completed, for example when it has performed the task it was designed for).
      Parameters:
        `event` -

    - #### afterNodeLeft

          void afterNodeLeft(ProcessNodeLeftEvent event)

      This listener method is invoked right after a node in a process instance has been left (which is when the node was completed, for example when it performed the task it was designed for).
      Parameters:
        `event` -

    - #### beforeVariableChanged

          void beforeVariableChanged(ProcessVariableChangedEvent event)

      This listener method is invoked right before the value of a process variable is being changed.
      Parameters:
        `event` -

    - #### afterVariableChanged

          void afterVariableChanged(ProcessVariableChangedEvent event)

      This listener method is invoked right after the value of a process variable has been changed.
      Parameters:
        `event` -

    - #### beforeSLAViolated

          default void beforeSLAViolated(SLAViolatedEvent event)

      This listener method is invoked right before a process/node instance's SLA has been violated.
      Parameters:
        `event` -

    - #### afterSLAViolated

          default void afterSLAViolated(SLAViolatedEvent event)

      This listener method is invoked right after a process/node instance's SLA has been violated.
      Parameters:
        `event` -

    - #### onSignal

          default void onSignal(SignalEvent event)

      This listener method is invoked when a signal is sent
      Parameters:
        `event` -

    - #### onMessage

          default void onMessage(MessageEvent event)

      This listener method is invoked when a message is sent
      Parameters:
        `event` -

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.